package com.ssj.service.reading.in;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/** 
 * 会员详情
 * @Author sh
 * 类说明 
 */
public class BookCaseSaveInDto extends BaseRequest{

	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name="detailsId",value="书籍二维码id",required=true)
	@NotNull
	private String detailsId;
	@ApiModelProperty(name="price",value="价格",required=true)
	@NotNull
	private String price;

	/**
	 * 书架信息 A01-B01-C01-D01
	 */
	@ApiModelProperty(name="bookcase",value="书架信息",required=true)
	@NotNull
	private String bookcase;

	public String getDetailsId() {
		return detailsId;
	}

	public void setDetailsId(String detailsId) {
		this.detailsId = detailsId;
	}

	public String getPrice() {
		return price;
	}

	public void setPrice(String price) {
		this.price = price;
	}

	public String getBookcase() {
		return bookcase;
	}

	public void setBookcase(String bookcase) {
		this.bookcase = bookcase;
	}
}
